# TSPseudoSetTimeStepIncrement

Sets the scaling increment applied to dt when using the TSPseudoDefaultTimeStep() routine.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSPseudoSetTimeStepIncrement(TS ts,PetscReal inc)

Collective on TS

### Input Parameters

| ts | - the timestep context
| inc | - the scaling factor >= 1.0

### Options Database Key

       -ts_pseudo_increment <increment>

### Keywords

timestep, pseudo, set, increment

### See Also

TSPseudoSetTimeStep(), TSPseudoDefaultTimeStep()

Level:advanced
Location: src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages